#include <stdio.h>
#include <stdlib.h>

char passwd[] = "secret_password";

int target = 0x12333231;

void foo (char *string) {
  printf (string);
  if (target == 0x00025544)
    printf ("you have hacked it!\n");
  else if (target != 0x12333231)
    printf ("you have modified the target to 0x%x!\n", target);
}

int main (void) {
  volatile int var = 0xabcd;
  char buf[128];
  while (1) {
    if (!fgets(buf, sizeof(buf), stdin))
        break;
    foo(buf);
  }
  return EXIT_SUCCESS;
}
